Bug 174285 - gnome-panel crash when openoffice opens file with "&" in name
gnome-panel crash when openoffice opens file with "&" in name
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-27 05:37 EST by Břetislav Rychta
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-04 15:47:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Břetislav Rychta 2005-11-27 05:37:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; cs-CZ; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
Openning files with openoffice writer which contains character "&" in name causes crash of gnome-panel. Opening the same file with for example gedit causes no problem.
Gnome-panel restarts corectly only after deleting file ".recently-used".


Version-Release number of selected component (if applicable):
gnome-panel-2.10.1-10.2

How reproducible:
Always

Steps to Reproduce:
1. create file with "&" in name (for example "a&b.txt")
2. open it with openoffice writer
3.
  

Actual Results:  gnome-panel crash
(name of opened file in ".recently-used" contains "&" instead of "%26")

Expected Results:  no crash
(name of opened file in ".recently-used" contains "%26")

Additional info:
Comment 1 Ray Strode [halfline] 2006-08-04 15:47:21 EDT
So, there are two bugs at play here.

1) openoffice should be escaping amperstands correctly.
2) the panel shouldn't crash when it encounters an invalid xml file.

2 doesn't happen anymore, so i'm going to close this bug.  If 1 still happens
can you file a new report? thanks.

Note You need to log in before you can comment on or make changes to this bug.